--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Searches installed gems for Generators files and loads all code blocks in them that match the given scope.
- !ruby/struct:SM::Flow::H 
  level: 3
  text: Parameters
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "scope<String>:"
    body: The name of the scope to search for
  type: :NOTE
full_name: Templater::Discovery#discover!
is_singleton: false
name: discover!
params: (scope)
visibility: public
